Skip to main content

Update a board

Updates the specified board by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

title
string
Title of the board.
description
string
Description for the folder
visibility
enum
Visibility of the board. One of private, internal, shared.

Returns​

Returns the board object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/boards/{id}
curl -X PUT https://{workspace}.kitchen.co/api/boards/{id} \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-21T07:32:03+00:00",
"id": "tskb_5e22e833684835b70ea85e45",
"title": "The board title",
"description": null,
"updated_at": "2024-03-21T07:32:03+00:00",
"visibility": "internal"
}